[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# GetEUid

Return effective user ID

## Declaration

Source position: oldlinux.pp line 1371

`function GetEUid: LongInt;`

## Description

Get the effective user ID of the currently running process.

## Errors

None.

## See also

GetUid |  | Return current user ID

## Example

    Program Example17;

    { Program to demonstrate the GetUid and GetEUid functions. }

    Uses oldlinux;

    begin
      writeln ('User Id = ',getuid,' Effective user Id = ',geteuid);
    end.

Documentation generated on: Feb 26 2014